// creator  : weidu.exe (version 23100)
// argument : ARENTHIS.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ARENTHIS~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #26679 /* ~I am Dawnlord Arenthis of the Lathander church... excuse my young charge.  Risa doesn't talk much since the recent death of her parents.~ */
  IF ~~ THEN REPLY #26676 /* ~That's terrible!~ */ DO ~SetNumTimesTalkedTo(1)
~ GOTO 1
  IF ~~ THEN REPLY #26680 /* ~Such is life.  The sooner she gets used to it, the better she will be.~ */ DO ~SetNumTimesTalkedTo(1)
~ GOTO 4
  IF ~~ THEN REPLY #26681 /* ~I'll leave you both alone, then.~ */ DO ~SetNumTimesTalkedTo(1)
~ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #26683 /* ~Indeed it is.  And there is very little that can be done for her, as well... other than to put her into an orphanage, I suppose.  She is so shy and sad, though, I am sure it will do her no good.  Tsk.~ */
  IF ~ReactionGT(LastTalkedToBy,15)
~ THEN DO ~SetGlobal("TalkedToArenthis","GLOBAL",1)
~ GOTO 2
  IF ~ReactionLT(LastTalkedToBy,16)
~ THEN DO ~SetGlobal("TalkedToArenthis","GLOBAL",1)
~ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 13.0 1.0
  SAY #26684 /* ~If only there were someone who would care for her.  Hmm.  You strike me as a good person... perhaps you would be willing to care for a child in need?  What would you say to that?~ */
  IF ~~ THEN REPLY #26686 /* ~I lead the life of a wanderer and adventurer, priest.  That is no life for a child to take part in.~ */ GOTO 6
  IF ~Global("TalkedToKamir","GLOBAL",1)
~ THEN REPLY #26691 /* ~My life is not for a child... but there is a paladin not far from here who I think might be a suitable guardian.  His own son has just died... and I think he might be amenable.~ */ GOTO 7
  IF ~~ THEN REPLY #26693 /* ~I've no interest in rearing a brat, priest.  Find someone else to pawn her off on.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 13.1 1.1
  SAY #26694 /* ~I would not ask you to care for her, surely... but might you know of someone who would make a suitable guardian?~ */
  IF ~Global("TalkedToKamir","GLOBAL",1)
~ THEN REPLY #26718 /* ~Actually, there is a paladin not far from here who I think might be a suitable guardian.  His own son has just died... and I think he might be amenable.~ */ GOTO 7
  IF ~~ THEN REPLY #26719 /* ~No, I do not know of anyone.~ */ GOTO 9
  IF ~~ THEN REPLY #26720 /* ~You're pretty quick to pawn her off for a supposedly good priest.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 8.2 6.2 3.2 2.2 0.1
  SAY #26696 /* ~Some compassion would not be out of order for one so young and innocent, I would think.  Please... leave us alone, then, if you cannot find it in your heart.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #34383 /* ~Locate a caretaker for the orphan, Risa.

A priest of Lathander is in the graveyard looking for someone to take care of his orphaned charge, Risa.  I think it is doubtful that even I could find someone to actually take the girl in.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.2
  SAY #26700 /* ~Lathander's blessing upon you, my <LADYLORD>.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 2.0
  SAY #26701 /* ~(sigh)  You are correct, of course.  If only there was someone who could act as the girl's guardian.  I do so wish there were more I could do for her!~ */
  IF ~Global("TalkedToKamir","GLOBAL",1)
~ THEN REPLY #26704 /* ~Actually, there is a paladin not far from here who I think might be a suitable guardian.  His own son has just died... and I think he might be amenable.~ */ GOTO 7
  IF ~~ THEN REPLY #26705 /* ~I wish I could help.  But I know of nobody.~ */ GOTO 9
  IF ~~ THEN REPLY #26706 /* ~The girl needs toughening, if you ask me.  If she is surrounded my mewling priests such as yourself, she will have nothing but disappointment in her future.~ */ GOTO 4
END

IF ~~ THEN BEGIN 7 // from: 6.0 3.0 2.1
  SAY #26709 /* ~A paladin?  A true paladin?  Perhaps... perhaps that would be an excellent idea.  If he is willing, that is.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #26710 /* ~Please, my <LADYLORD>... it would mean so much if you could find this paladin and ask him about this.  Risa needs a proper guardian much more than an orphanage.  I beg it of you!~ */
  IF ~~ THEN REPLY #26711 /* ~I will do as you ask.~ */ GOTO 10
  IF ~~ THEN REPLY #26713 /* ~Why don't you go ask him yourself?~ */ GOTO 11
  IF ~~ THEN REPLY #26716 /* ~Forget it... I have better things to do.~ */ GOTO 4
END

IF ~~ THEN BEGIN 9 // from: 6.1 3.1
  SAY #26721 /* ~(sigh)  That is too bad.  If someone does come to mind, please return and tell me.  I would like to help this girl if I can.  Lathander's blessing upon you, my <LADYLORD>.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #34382 /* ~Locate a caretaker for the orphan, Risa.

I ran into a priest of Lathander named Arenthis, who is looking for a guardian for his young charge, Risa.  If there were only someone noble enough who were free and willing to take care of the girl, I would recommend them.~ */ EXIT
END

IF ~~ THEN BEGIN 10 // from: 8.0
  SAY #26722 /* ~Thank you, my <LADYLORD>.  I shall wait here for your return.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToArenthis","GLOBAL",1)~ UNSOLVED_JOURNAL #34384 /* ~Locate a caretaker for the orphan, Risa.

Arenthis, the priest, seems to think that the paladin I encountered... Kamir was his name... might make an excellent guardian for his orphaned girl.  Kamir thinks himself responsible for his son's death... perhaps he might see this as some kind of atonement... who knows?~ */ EXIT
END

IF ~~ THEN BEGIN 11 // from: 8.1
  SAY #26723 /* ~I cannot, my <LADYLORD>.  I must stay and care for Risa.  If you could seek out this paladin, I would be most grateful... and Lathander would smile on you.~ */
  IF ~~ THEN EXIT
END

IF ~Global("TalkedToArenthis","GLOBAL",1)
GlobalLT("KamirWard","GLOBAL",2)
~ THEN BEGIN 12 // from:
  SAY #26725 /* ~Greetings again, my <LADYLORD>.  Lathander's blessing to you.~ */
  IF ~~ THEN EXIT
END

IF ~Global("TalkedToArenthis","GLOBAL",0)
Global("KamirWard","GLOBAL",0)
~ THEN BEGIN 13 // from:
  SAY #26726 /* ~Greetings again, my <LADYLORD>.  Ach... it still pains me so that Risa, here, has no choice but to go to an orphanage.  It would do her little good, I think.~ */
  IF ~ReactionGT(LastTalkedToBy,15)
~ THEN DO ~SetGlobal("TalkedToArenthis","GLOBAL",1)
~ GOTO 2
  IF ~ReactionLT(LastTalkedToBy,16)
~ THEN DO ~SetGlobal("TalkedToArenthis","GLOBAL",1)
~ GOTO 3
END

IF ~~ THEN BEGIN 14 // from:
  SAY #26737 /* ~You are the paladin, are you?  I am pleased to meet you.  This is--~ */
  IF ~~ THEN EXTERN ~MOURNER7~ 2
END

IF ~~ THEN BEGIN 15 // from:
  SAY #26739 /* ~... yes.  Yes, I am most pleased to agree.  This is Risa.~ */
  IF ~~ THEN EXTERN ~KAMIR~ 18
END

IF ~Global("KamirWard","GLOBAL",3)
~ THEN BEGIN 16 // from:
  SAY #26751 /* ~I am most pleased at this wonderful turn of events.  Lathander's greatest blessing upon you, my <LADYLORD>, for the part you have played in this.  Sometimes... sometimes Faerun can be a kind place...~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
